<?php
namespace Punishment\Model;

use Application\Model\Model;

class PunishmentModel extends Model{
    const TABLE_NAME = "HRIS_EMPLOYEE_PUNISHMENT";
    
    const PUNISHMENT_ID = "PUNISHMENT_ID";
    const EMPLOYEE_ID = "EMPLOYEE_ID";
    const PUNISHMENT_TYPE = "PUNISHMENT_TYPE";
    const START_DATE = "START_DATE";
    const END_DATE = "END_DATE";
    const STATUS = "STATUS";
    const REASON = "REASON";
    const ANNOUNCED_BY = "ANNOUNCED_BY";
    const CREATED_DATE = "CREATED_DATE";
    const CREATED_BY = "CREATED_BY";
    const MODIFIED_DATE = "MODIFIED_DATE";
    const MODIFIED_BY = "MODIFIED_BY";
    const JOB_HISTORY_ID = "JOB_HISTORY_ID";
    const IMPACT_PAYROLL = "IMPACT_PAYROLL";
    
    public $punishmentId;
    public $employeeId;
    public $startDate;
    public $endDate;
    public $status;
    public $reason;
    public $announcedBy;
    public $createdDate;
    public $createdBy;
    public $punishmentType;
    public $modifiedDate;
    public $modifiedBy;
    public $jobHistoryId;
    public $impactPayroll;
    
    public $mappings = [
        'punishmentId'=>self::PUNISHMENT_ID,
        'employeeId'=>self::EMPLOYEE_ID,
        'startDate'=>self::START_DATE,
        'endDate'=>self::END_DATE,
        'status'=>self::STATUS,
        'reason'=>self::REASON,
        'announcedBy'=>self::ANNOUNCED_BY,
        'createdDate'=>self::CREATED_DATE,
        'createdBy'=>self::CREATED_BY,
        'punishmentType' => self::PUNISHMENT_TYPE,
        'modifiedDate' => self::MODIFIED_DATE,
        'modifiedBy' => self::MODIFIED_BY,
        'jobHistoryId' => self::JOB_HISTORY_ID,
        'impactPayroll' => self::IMPACT_PAYROLL
    ];
}

